//
// Copyright (c) 2013  Motoyuki Kasahara
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
package jp.sourceforge.gamerandomizer;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.CheckBox;
import android.widget.ListView;
import android.widget.TextView;

public class CardListAdapter extends ArrayAdapter<CardListItem> {
	public CardListAdapter(Context context) {
		super(context, 0);
	}

	@Override
	public View getView(int position, View convertView, ViewGroup parent) {
		View view;

		if (convertView == null) {
			LayoutInflater inflater = LayoutInflater.from(getContext());
			view = inflater.inflate(R.layout.card_list, parent, false);
		} else {
			view = convertView;
		}

		CheckBox cardCheckBox =
				(CheckBox)view.findViewById(R.id.cardCheckBox);
		CardListItem item = getItem(position);
		cardCheckBox.setText(item.getTitle());

		ListView listView = (ListView)parent;
		cardCheckBox.setChecked(listView.isItemChecked(position));
		cardCheckBox.setVisibility(View.VISIBLE);

		TextView cardPriceTextView =
				(TextView)view.findViewById(R.id.cardPriceTextView);
		cardPriceTextView.setText(item.getPrice());

		TextView cardIndexTextView =
				(TextView)view.findViewById(R.id.cardIndexTextView);
		cardIndexTextView.setText(String.format("#%d", position + 1));

		TextView expansionNameTextView =
				(TextView)view.findViewById(R.id.expansionNameTextView);
		expansionNameTextView.setText(item.getExpansion());

		return view;
	}
}
