//
// Copyright (c) 2013  Motoyuki Kasahara
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
package jp.sourceforge.gamerandomizer;

import android.os.Parcel;
import android.os.Parcelable;

public class CardListItem implements Parcelable {
	private String title;
	private String price;
	private String expansion;

	public CardListItem(String titleArg, String priceArg,
			String expansionArg) {
		title     = titleArg;
		price     = priceArg;
		expansion = expansionArg;
	}

	public CardListItem(Parcel p) {
		title     = p.readString();
		price     = p.readString();
		expansion = p.readString();
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String titleArg) {
		title = titleArg;
	}

	public String getPrice() {
		return price;
	}

	public void setPrice(String priceArg) {
		price = priceArg;
	}

	public String getExpansion() {
		return expansion;
	}

	public void setExpansion(String expansionArg) {
		expansion = expansionArg;
	}

	public void writeToParcel(Parcel p, int flags) {
		p.writeString(title);
		p.writeString(price);
		p.writeString(expansion);
	}

	public int describeContents() {
		return 0;
	}

	public static final Creator<CardListItem> CREATOR = new Creator<CardListItem>() {
		public CardListItem createFromParcel(Parcel p) {
			return new CardListItem(p);
		}
		  
		public CardListItem[] newArray(int size) {
			return new CardListItem[size];
		}
	};	 
}
