//
// Copyright (c) 2013  Motoyuki Kasahara
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
package jp.sourceforge.gamerandomizer;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;

public class DataDirectoryPathFileReader {
	File dataDirectory;

	public DataDirectoryPathFileReader(File file)
			throws IOException, FileNotFoundException {
		dataDirectory = null;
		readFile(file);
	}

	public DataDirectoryPathFileReader(String filePath)
			throws IOException, FileNotFoundException {
		this(new File(filePath));
	}

	public File getDataDirectory() {
		return dataDirectory;
	}

	public String getDataDirectoryPath() {
		return dataDirectory.getAbsolutePath();
	}

	private void readFile(File file)
			throws IOException, FileNotFoundException {
		BufferedReader reader = null;
		try {
			reader = new BufferedReader(new FileReader(file));
			String path = reader.readLine();
			if (path != null && !path.isEmpty())
				dataDirectory = new File(path);
			reader.close();
		} finally {
			if (reader != null)
				reader.close();			
		}
	}
}
