//
// Copyright (c) 2013  Motoyuki Kasahara
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
package jp.sourceforge.gamerandomizer;

import android.os.Parcel;
import android.os.Parcelable;

public class ExpansionListItem implements Parcelable {
	private String title;
	private int nCards;

	public ExpansionListItem(String titleArg, int nCardsArg) {
		title  = titleArg;
		nCards = nCardsArg;
	}

	public ExpansionListItem(Parcel p) {
		title  = p.readString();
		nCards = p.readInt();
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String titleArg) {
		title = titleArg;
	}

	public int getNCards() {
		return nCards;
	}

	public void setNCards(int nCardsArg) {
		nCards = nCardsArg;
	}

	public void writeToParcel(Parcel p, int flags) {
		p.writeString(title);
		p.writeInt(nCards);
	}

	public int describeContents() {
		return 0;
	}

	public static final Creator<ExpansionListItem> CREATOR = new Creator<ExpansionListItem>() {
		public ExpansionListItem createFromParcel(Parcel p) {
			return new ExpansionListItem(p);
		}

		public ExpansionListItem[] newArray(int size) {
			return new ExpansionListItem[size];
		}
	};	 
}
